<template>
    <div v-show="errorValue!=''" class="error">
        {{errorValue}}
    </div>
</template>

<style lang='scss' scoped>
    .error {
        border-radius: 5px;
        border: 1px solid darkred;
        color: darkred;
        background: #ffada8;
        padding: 10px 20px;
    }
</style>

<script lang='ts'>
    import {Component, Vue} from 'vue-property-decorator';

    const props = {
        errorValue: String
    };

    const Base = Vue.extend({props});

    @Component({props})
    export default class ErrorComponent extends Base {

    }
</script>
